# $Revision: 1.6 $, $Date: 2004/05/08 19:42:17 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	SecurID
Summary:	Crypt::SecurID - generating and verifying SecurID time hash codes
Summary(pl):	Crypt::SecurID - generowanie i weryfikowanie kodw SecurID time hash
Name:		perl-Crypt-SecurID
Version:	0.04
Release:	2
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	f0ebb7c5e549557a197b2df746f21c91
Patch0:		%{name}-types.patch
BuildRequires:	libstdc++-devel
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.01}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::SecurID is an emulator module for generating and verifying
SecurID time-hash codes. Such codes are often useful during identity
authentication, especially when the code is generated out-of-band
so that the 64-bit secret key is never on any client machine.

%description -l pl
Crypt::SecurID to modu emulatora do generowania i weryfikowania
kodw SecurID time-hash. Takie kody s czsto przydatne przy
uwierzytelnianiu, szczeglnie kiedy kod jest generowany na zewntrz,
tak e 64-bitowy tajny klucz nigdy nie jest obecny na adnej maszynie
klienckiej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	LD="%{__cxx}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# note: COPYING is not GPL text, only copyright note
%doc COPYING Changes README
%{perl_vendorarch}/Crypt/SecurID.pm
%{perl_vendorarch}/Crypt/securid.pm
%dir %{perl_vendorarch}/auto/Crypt/securid
%{perl_vendorarch}/auto/Crypt/securid/securid.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/securid/securid.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-SecurID.spec,v $
Revision 1.6  2004/05/08 19:42:17  qboosh
- added types patch (support 64-bit archs), release 2

Revision 1.5  2004/05/06 18:43:07  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.3  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.2  2003/09/15 08:18:01  adamg
- updated to 0.04

Revision 1.1  2003/06/17 22:22:49  qboosh
- new

